import { __styles, mergeClasses } from '@griffel/react';
export const responsiveContainerClassNames = {
  root: 'fui-charts-resp__root'
};
const useStyles = /*#__PURE__*/__styles({
  root: {
    a9b677: "fly5x3f",
    Bqenvij: "f1l02sjl",
    Bvcz5cu: "fx80qsw",
    Bjw6159: "f4wz6dc",
    B5pe6w7: "f17klwcu",
    p4uzdd: "ffmg4tr"
  }
}, {
  d: [".fly5x3f{width:100%;}", ".f1l02sjl{height:100%;}", ".fx80qsw [class*=\"chartWrapper\"]{width:100%;}", ".f4wz6dc [class*=\"chartWrapper\"]{height:100%;}", ".f17klwcu svg{width:100%;}", ".ffmg4tr svg{height:100%;}"]
});
export const useResponsiveContainerStyles_unstable = props => {
  const baseStyles = useStyles();
  return {
    root: mergeClasses(responsiveContainerClassNames.root, baseStyles.root)
  };
};
//# sourceMappingURL=useResponsiveContainerStyles.styles.js.map